Updated external dependencies and p2-maven-plugin
authorTuukka Lehtonen <tuukka.lehtonen@semantum.fi>
Wed, 7 Jun 2017 07:43:01 +0000 (10:43 +0300)
committerTuukka Lehtonen <tuukka.lehtonen@semantum.fi>
Wed, 7 Jun 2017 07:43:01 +0000 (10:43 +0300)
* eclipse collections 7.1.0 to 8.1.0
* fastutil 7.0.13 to 7.2.1
* removed gnu.trove 2.1.0

refs #7285

releng/org.simantics.sdk.build.p2.site/pom.xml
releng/org.simantics.sdk.build.targetdefinition/org.simantics.sdk.build.targetdefinition.target
releng/org.simantics.sdk.build.targetdefinition/simantics.target

index 00a2b83d4de23b32f59fbb54c59e76054f2519bd..a42b854b13a7187265e3e3dff5c0e98e73783491 100644 (file)
@@ -6,7 +6,7 @@
     <groupId>org.simantics</groupId>
     <artifactId>org.simantics.sdk.build.p2.site</artifactId>
     <packaging>pom</packaging>
-    <version>1.26.0</version>
+    <version>1.30.0</version>
 
     <properties>
         <itext.version.actual>2.1.7.b1</itext.version.actual>
             <plugin>
                 <groupId>org.eclipse.tycho.extras</groupId>
                 <artifactId>tycho-p2-extras-plugin</artifactId>
-                <version>0.25.0</version>
+                <version>1.0.0</version>
             </plugin>
             <plugin>
                 <groupId>org.reficio</groupId>
                 <artifactId>p2-maven-plugin</artifactId>
-                <version>1.2.0-SNAPSHOT</version>
+                <version>1.2.0</version>
                 <executions>
                     <execution>
                         <id>default-cli</id>
                                     </instructions>
                                 </artifact>
                                 <artifact>
-                                    <id>it.unimi.dsi:fastutil:7.0.13</id>
+                                    <id>it.unimi.dsi:fastutil:7.2.1</id>
                                     <source>true</source>
                                 </artifact>
                                 <artifact>
-                                    <id>org.eclipse.collections:eclipse-collections-api:7.1.0</id>
+                                    <id>org.eclipse.collections:eclipse-collections-api:8.1.0</id>
                                     <override>true</override>
                                     <source>true</source>
                                     <instructions>
                                     </instructions>
                                 </artifact>
                                 <artifact>
-                                    <id>org.eclipse.collections:eclipse-collections:7.1.0</id>
+                                    <id>org.eclipse.collections:eclipse-collections:8.1.0</id>
                                     <source>true</source>
                                 </artifact>
-                                <artifact>
-                                    <id>net.sf.trove4j:trove4j:2.1.0</id>
-                                    <source>true</source>
-                                    <instructions>
-                                        <Bundle-Name>GNU Trove 2</Bundle-Name>
-                                        <Bundle-SymbolicName>gnu.trove2</Bundle-SymbolicName>
-                                    </instructions>
-                                </artifact>
                                 <artifact>
                                     <id>net.sf.trove4j:trove4j:3.0.3</id>
                                     <source>true</source>
         </plugins>
     </build>
 
-    <pluginRepositories>
-        <pluginRepository>
-            <id>reficio</id>
-            <url>http://repo.reficio.org/maven/</url>
-        </pluginRepository>
-    </pluginRepositories>
-
 </project>
index 7dbb2d72cec4a8a50bc4a91dbf4c8f892b1311c3..9a632534418634f327f505b730f051605a7cd797 100644 (file)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<?pde version="3.8"?><target name="Eclipse Mars.2" sequenceNumber="232">
+<?pde version="3.8"?><target name="Eclipse Mars.2" sequenceNumber="233">
 <locations>
 <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
 <unit id="org.objectweb.asm.xml.source" version="5.0.1.v201404251740"/>
 <unit id="com.sun.jna.platform.source" version="4.3.0"/>
 <unit id="freemarker" version="2.3.23.stable"/>
 <unit id="freemarker.source" version="2.3.23.stable"/>
-<unit id="gnu.trove2" version="2.1.0"/>
-<unit id="gnu.trove2.source" version="2.1.0"/>
 <unit id="gnu.trove3" version="3.0.3"/>
 <unit id="gnu.trove3.source" version="3.0.3"/>
-<unit id="it.unimi.dsi.fastutil" version="7.0.13"/>
-<unit id="it.unimi.dsi.fastutil.source" version="7.0.13"/>
+<unit id="it.unimi.dsi.fastutil" version="7.2.1"/>
+<unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>
 <unit id="javax.ws.rs-api" version="2.0.1"/>
 <unit id="javax.ws.rs-api.source" version="2.0.1"/>
 <unit id="jakarta-regexp" version="1.4.0"/>
 <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>
 <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>
 <unit id="org.apache.xmlbeans" version="2.6.0"/>
-<unit id="org.eclipse.collections.eclipse-collections-api" version="7.1.0"/>
-<unit id="org.eclipse.collections.eclipse-collections-api.source" version="7.1.0"/>
-<unit id="org.eclipse.collections.eclipse-collections" version="7.1.0"/>
-<unit id="org.eclipse.collections.eclipse-collections.source" version="7.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections-api" version="8.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections-api.source" version="8.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections" version="8.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections.source" version="8.1.0"/>
 <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>
 <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>
 <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>
index faad6d455bff2bcc19d522781d45ef6bdb8c053b..00f997fef2b7b34c7c7e135a138ddacd323000b7 100644 (file)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <?pde version="3.8"?>
-<target name="Simantics 1.30.0" sequenceNumber="22">
+<target name="Simantics 1.30.0" sequenceNumber="23">
 <locations>
 <location includeAllPlatforms="true" includeConfigurePhase="false" includeMode="slicer" includeSource="true" type="InstallableUnit">
 <unit id="org.simantics.sdk.feature.group" version="1.30.0"/>
 <unit id="com.sun.jna.platform.source" version="4.3.0"/>
 <unit id="freemarker" version="2.3.23.stable"/>
 <unit id="freemarker.source" version="2.3.23.stable"/>
-<unit id="gnu.trove2" version="2.1.0"/>
-<unit id="gnu.trove2.source" version="2.1.0"/>
 <unit id="gnu.trove3" version="3.0.3"/>
 <unit id="gnu.trove3.source" version="3.0.3"/>
-<unit id="it.unimi.dsi.fastutil" version="7.0.13"/>
-<unit id="it.unimi.dsi.fastutil.source" version="7.0.13"/>
+<unit id="it.unimi.dsi.fastutil" version="7.2.1"/>
+<unit id="it.unimi.dsi.fastutil.source" version="7.2.1"/>
 <unit id="javax.ws.rs-api" version="2.0.1"/>
 <unit id="javax.ws.rs-api.source" version="2.0.1"/>
 <unit id="jakarta-regexp" version="1.4.0"/>
 <unit id="org.apache.pdfbox.fontbox" version="2.0.3"/>
 <unit id="org.apache.pdfbox.fontbox.source" version="2.0.3"/>
 <unit id="org.apache.xmlbeans" version="2.6.0"/>
-<unit id="org.eclipse.collections.eclipse-collections-api" version="7.1.0"/>
-<unit id="org.eclipse.collections.eclipse-collections-api.source" version="7.1.0"/>
-<unit id="org.eclipse.collections.eclipse-collections" version="7.1.0"/>
-<unit id="org.eclipse.collections.eclipse-collections.source" version="7.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections-api" version="8.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections-api.source" version="8.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections" version="8.1.0"/>
+<unit id="org.eclipse.collections.eclipse-collections.source" version="8.1.0"/>
 <unit id="org.glassfish.hk2.api" version="2.5.0.b32"/>
 <unit id="org.glassfish.hk2.api.source" version="2.5.0.b32"/>
 <unit id="org.glassfish.hk2.locator" version="2.5.0.b32"/>